Workflows
Get Workflow Run
Retrieve a workflow run by ID, including task rows and persisted input_payload.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication. Use your API key with:
Authorization: Bearer <YOUR_API_KEY>
In: header
Path Parameters
workflow_id*string
Workflow ID
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://api.fastfold.ai/v1/workflows/"{
"status": "string",
"workflow_id": "03e70e31-d7a4-4401-a629-6a4b6096cdfe",
"tasks_total_count": 0,
"workflow_type": "string",
"input_sequence": "string",
"tasks_completed_count": 0,
"tasks_failed_count": 0,
"tasks": [
{
"task_id": "736fde4d-9029-4915-8189-01353d6982cb",
"workflow_id": "03e70e31-d7a4-4401-a629-6a4b6096cdfe",
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
"task_type": "string",
"status": "string",
"completion_time_in_seconds": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"result_raw_json": {},
"output_library_items": [
{}
]
}
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"name": "string",
"reasoning_markdown_results": "string",
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
"log_file_url": "string",
"library_item_workspace_id": "9dea0777-c4cd-4756-879f-0f9b8e9ebcc5",
"input_payload": {},
"project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9"
}{
"message": "Workflow not found"
}{
"message": "Workflow not found"
}Last updated on